import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/ncjtEntranceGuard/getUserAdminPageList',
    method: 'get',
    params: query
  })
}

export function createAdmin(data) {
  return request({
    url: '/ncjtEntranceGuard/registerAdmin',
    method: 'post',
    data
  })
}

export function updateAdmin(data) {
  return request({
    url: '/ncjtEntranceGuard/updateUserAdmin',
    method: 'post',
    data
  })
}

export function deleteAdmin(data) {
  return request({
    url: '/ncjtEntranceGuard/deleteUserAdminById',
    method: 'post',
    data
  })
}

export function searchList(query) {
  return request({
    url: '/ncjtEntranceGuard/searchUserAdminByName',
    method: 'post',
    params: query
  })
}

